    001    /* ===========================================================
    002     * JFreeChart : a free chart library for the Java(tm) platform
    003     * ===========================================================
    004     *
    005     * (C) Copyright 2000-2005, by Object Refinery Limited and Contributors.
    006     *
    007     * Project Info:  http://www.jfree.org/jfreechart/index.html
    008     *
    009     * This library is free software; you can redistribute it and/or modify it
    010     * under the terms of the GNU Lesser General Public License as published by
    011     * the Free Software Foundation; either version 2.1 of the License, or
    012     * (at your option) any later version.
    013     *
    014     * This library is distributed in the hope that it will be useful, but
    015     * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
    016     * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public
    017     * License for more details.
    018     *
    019     * You should have received a copy of the GNU Lesser General Public
    020     * License along with this library; if not, write to the Free Software
    021     * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301,
    022     * USA.
    023     *
    024     * [Java is a trademark or registered trademark of Sun Microsystems, Inc.
    025     * in the United States and other countries.]
    026     *
    027     * --------------
    028     * ValueTick.java
    029     * --------------
    030     * (C) Copyright 2003, 2004, by Object Refinery Limited.
    031     *
    032     * Original Author:  David Gilbert (for Object Refinery Limited);
    033     * Contributor(s):   -;
    034     *
    035     * $Id: ValueTick.java,v 1.2.2.1 2005/10/25 20:37:34 mungady Exp $
    036     *
    037     * Changes
    038     * -------
    039     * 07-Nov-2003 : Version 1 (DG);
    040     *
    041     */
    042    package org.jfree.chart.axis;
    043
    044    import org.jfree.ui.TextAnchor;
    045
    046    /**
    047     * A value tick.
    048     */
    049    public abstract class ValueTick extends Tick {
    050
    051        /** The value. */
    052        private double value;
    053
    054        /**
    055         * Creates a new value tick.
    056         *
    057         * @param value  the value.
    058         * @param label  the label.
    059         * @param textAnchor  the part of the label that is aligned to the anchor
    060         *                    point.
    061         * @param rotationAnchor  defines the rotation point relative to the label.
    062         * @param angle  the rotation angle (in radians).
    063         */
    064        public ValueTick(double value, String label,
    065                         TextAnchor textAnchor, TextAnchor rotationAnchor,
    066                         double angle) {
    067
    068            super(label, textAnchor, rotationAnchor, angle);
    069            this.value = value;
    070
    071        }
    072
    073        /**
    074         * Returns the value.
    075         *
    076         * @return The value.
    077         */
    078        public double getValue() {
    079            return this.value;
    080        }
    081
    082        /**
    083         * Tests this tick for equality with an arbitrary object.
    084         *
    085         * @param obj  the object to test (<code>null</code> permitted).
    086         *
    087         * @return A boolean.
    088         */
    089        public boolean equals(Object obj) {
    090            if (obj == this) {
    091                return true;
    092            }
    093            if (obj instanceof ValueTick && super.equals(obj)) {
    094                ValueTick vt = (ValueTick) obj;
    095                if (!(this.value == vt.value)) {
    096                    return false;
    097                }
    098                return true;
    099            }
    100            return false;
    101        }
    102
    103    }